Summary: The userland tools of the openMosix-system
Name: openmosix-tools
Version: 0.3.6
Release: 2
URL: http://openmosix.sourceforge.net/
License: GPL
Group: System Environment/Kernel
BuildRoot: %{_tmppath}/%{name}
Source0: %{name}-%{version}-%{release}.tar.gz


%description
openMosix  is  a  Linux  kernel extension for single-system image clustering.
This package contains the necessary user-land tools for an openMosix cluster.
It also contains openMosix versions of ps and top (mps and mtop) that provide
additional per-process information specific to openMosix, like the node  num
ber  on which a process is running, the number of migrations for each running
process, and whether a process can be migrated or not (and why not).

%prep

%setup -n %{name}-%{version}-%{release}

%build
./configure --bindir=/bin --sbindir=/sbin --includedir=/usr/include --mandir=/usr/share/man --libdir=/lib --with-kerneldir=/usr/src/linux-openmosix
make all

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/sbin/ldconfig
chkconfig --add openmosix
if [ "$1" = "1" ] ; then  # first install
   # Add mosrun-commands in /etc/inittab
   perl -pi -e 's!:(/etc/rc.d/rc)!:/bin/mosrun -h $1!' /etc/inittab
   perl -pi -e 's!:(/sbin/update)!:/bin/mosrun -h $1!' /etc/inittab
   perl -pi -e 's!:(/sbin/shutdown)!:/bin/mosrun -h $1!' /etc/inittab
   # Add nolock-command in /etc/init.d/sshd
   perl -i -e 'local $/; $_ = <>; s!(start\(\)\s+{\n)!$1\ttest -f /proc/\$\$/lock && echo 0 \> /proc/\$\$/lock\n\n!; print' /etc/init.d/sshd
   # Add mfs to slocate.cron
   perl -pi -e 's!(/usr/bin/updatedb -f \"nfs)!$1,mfs!' /etc/cron.daily/slocate.cron
   # Tell user to edit mosix.map
   echo -e "\nEdit /etc/openmosix.map if you don't want to use the autodiscovery daemon.\n"
fi


%preun
if [ "$1" = "0" ] ; then # last uninstall
   # Remove links to startup-script
   chkconfig --del openmosix
   # Remove mosrun-commands in /etc/inittab
   perl -pi -e 's!:/bin/mosrun -h !:!' /etc/inittab
   # Remove nolock-command in /etc/rc.d/init.d/sshd
   perl -i -e 'local $/; $_ = <>; s!\ttest -f /proc/\$\$/lock && echo 0 \> /proc/\$\$/lock\n\n!!g; print' /etc/init.d/sshd
   # Remove mfs from slocate.cron
   perl -pi -e 's/mfs,//' /etc/cron.daily/slocate.cron
fi


%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%dir /etc/openmosix
%config /etc/openmosix.map
%config /etc/openmosix/openmosix.config
%config /etc/init.d/openmosix
%doc /usr/share/man/man1/*
/bin/*
/lib/*
/sbin/*
/usr/include/*

%changelog
* Thu Jul 8 2004 Aaron Peterson <aaron@aaronp.com>
- fixed mosmon compatibility with 2.4.24 (Moreno Baricevic)

* Wed Jun 23 2004 Aaron Peterson <aaron@aaronp.com>
- updated to version 0.3.6 (Aaron Peterson)
- updated mosmon to version 2 (Moreno Baricevic)
- compiled against kernel 2.4.24-om1 (Aaron Peterson)
- small documentation fix (Aaron Peterson)
- fixed various small bugs in the build system (Aaron Peterson)
- changed init script to exit if not root (Aaron Peterson)
- changed make install to not overwrite openmosix.map if exists (Aaron Peterson)

* Sun Nov 30 2003 Mirko Caserta <mirko@mcaserta.com>
- minor bug fixes/improvements to mps/mtop, updated manpages (Moreno Baricevic)
- added handling for more oM files to mps (Moreno Baricevic)
- added "nmigs" info to mtop (Moreno Baricevic)
- added the new ompsinfo command plus man page (Moreno Baricevic)
- fixed a compile issue with regard to 2.4.22-2 (Vincent Hanquez)
- fixed path to mosrun in mosrun/*.sh input scripts (Vance Morgan)
- added the new ompsinfo command plus man page (Moreno Baricevic)
- added a --with-mosrundir option with a default of /bin (Peter Willis)
- fixed an install path issue in scripts/Makefile.am (Peter Willis)

* Sun Jun 22 2003 Mirko Caserta <mirko@mcaserta.com>
- Updated to version 0.3.4 (Mirko Caserta)
- added moslimit tool (Cristiano De Michele)
- minor fixes to the moslimit man page (Mirko Caserta)
- mosrun is now installed in /bin since it is used at boot time by
  /etc/inittab (Cristiano De Michele)

* Tue Jun 12 2003 Mirko Caserta <mirko@mcaserta.com>
- Updated to version 0.3.3 (Mirko Caserta)
- minor bug fixes in autoconf stuff (Cristiano De Michele)
- fixed README file (Mirko Caserta)
- autoconfiscated the whole thing (Cristiano De Michele)
- special thanks to Jens Finkhoer for the hints about autoconf
- fixed wrong path to openmosix.config in init-script found
  by Mirko Caserta (Matt Rechenburg)
- Makefiles cleanup, now supports DESTDIR and easy rpm-creation (Martin Hy)
- Added the mps package (mps and mtop commands) (Martin Hy)
- New startup-script which starts omdiscd in case of no or invalid
  static map-file (Martin Hy)

* Fri Aug  9 2002 Martin Hy <martin.hoy@pvv.ntnu.no>
- Updated to version 0.2.4
- Disabled ALPHA-mode for autodiscovery

* Fri Jul  5 2002 Martin Hy <martin.hoy@pvv.ntnu.no>
- Updated to version 0.2.2

* Tue Apr 23 2002 Martin Hy <martin.hoy@pvv.ntnu.no>
- Updated to version 0.2.0

* Tue Mar 19 2002 Martin Hy <martin.hoy@pvv.ntnu.no>
- Moved mosrun to /bin and setpe to /sbin
- Changed init-file to touch /var/lock/subsys/openmosix, not mosix

* Mon Mar 18 2002 Martin Hy <martin.hoy@pvv.ntnu.no>
- Added scripts to run when installing/removing. The scripts changes these
  files: /etc/inittab, /etc/rc.d/init.d/sshd and /etc/cron.daily/slocate.cron
- Added an empty mosix.map to the package

* Thu Mar 14 2002 Martin Hy <martin.hoy@pvv.ntnu.no>
- Initial build.


